<?xml version="1.0" encoding="utf-8"?>
<!--
 * Copyright (c) 2009, Code Aurora Forum. All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *    * Redistributions of source code must retain the above copyright
 *      notice, this list of conditions and the following disclaimer.
 *    * Redistributions in binary form must reproduce the above copyright
 *      notice, this list of conditions and the following disclaimer in the
 *      documentation and/or other materials provided with the distribution.
 *    * Neither the name of Code Aurora nor
 *      the names of its contributors may be used to endorse or promote
 *      products derived from this software without specific prior written
 *      permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NON-INFRINGEMENT ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-->
<merge xmlns:android="http://schemas.android.com/apk/res/android">

<RelativeLayout android:id="@+id/message_row"
        android:layout_width="fill_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="10dip"
        android:paddingTop="10dip"
        android:paddingBottom="30dip"
        android:orientation="horizontal">

<TextView android:id="@+id/record_msg_tv"
        android:textAppearance="?android:attr/textAppearanceMedium"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentTop="true"
        android:layout_alignParentLeft="true"
        android:textSize="28sp"
        android:textStyle="bold"
        android:text="@string/default_record" />

<Button android:id="@+id/btn_presets_list"
        android:text="@string/default_preset_list_name"
        android:textAppearance="?android:attr/textAppearanceLarge"
        android:textSize="24sp"
        android:textStyle="bold"
        android:singleLine="true"
        android:layout_centerHorizontal="true"
        android:layout_alignParentTop="true"
        android:layout_gravity="center"
        android:layout_marginLeft="10dip"
        android:layout_marginRight="10dip"
        android:layout_marginBottom="5dip"
        android:layout_width="200dip"
        android:layout_height="65dip" />

<TextView android:id="@+id/sleep_msg_tv"
        android:textAppearance="?android:attr/textAppearanceMedium"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentTop="true"
        android:layout_alignParentRight="true"
        android:layout_alignBaseline="@+id/record_msg_tv"
        android:textSize="28sp"
        android:textStyle="bold"
        android:text="@string/default_sleep" />
</RelativeLayout>

<LinearLayout android:id="@+id/presets_layout"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerHorizontal="true"
        android:orientation="vertical">
<!--  Upper Presets -->
<LinearLayout android:id="@+id/presets_upper_layout"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        android:layout_gravity="center"
        android:layout_marginBottom="25dip"
        android:gravity="center_horizontal">

<Button android:id="@+id/presets_button_1"
        android:text="@string/default_blank"
        android:textAppearance="?android:attr/textAppearanceMedium"
        android:textSize="24sp"
        android:singleLine="true"
        android:layout_marginLeft="15dip"
        android:layout_width="110dip"
        android:layout_height="65dip" />

<Button android:id="@+id/presets_button_2"
        android:text="@string/default_blank"
        android:textAppearance="?android:attr/textAppearanceMedium"
        android:textSize="24sp"
        android:singleLine="true"
        android:layout_marginLeft="40dip"
        android:layout_marginRight="40dip"
        android:layout_width="110dip"
        android:layout_height="65dip" />

<Button android:id="@+id/presets_button_3"
        android:text="@string/default_blank"
        android:textAppearance="?android:attr/textAppearanceMedium"
        android:textSize="24sp"
        android:singleLine="true"
        android:layout_marginRight="15dip"
        android:layout_width="110dip"
        android:layout_height="65dip" />
</LinearLayout>

<!--  Lower Presets -->
<LinearLayout android:id="@+id/presets_lower_layout"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        android:layout_gravity="center"
        android:layout_marginBottom="20dip"
        android:gravity="center_horizontal">

<Button android:id="@+id/presets_button_4"
        android:text="@string/default_blank"
        android:textAppearance="?android:attr/textAppearanceMedium"
        android:textSize="24sp"
        android:singleLine="true"
        android:layout_marginLeft="20dip"
        android:layout_width="110dip"
        android:layout_height="65dip" />

<Button android:id="@+id/presets_button_5"
        android:text="@string/default_blank"
        android:textAppearance="?android:attr/textAppearanceMedium"
        android:textSize="24sp"
        android:singleLine="true"
        android:layout_marginLeft="40dip"
        android:layout_marginRight="40dip"
        android:layout_width="110dip"
        android:layout_height="65dip" />

<ImageButton android:id="@+id/btn_preset_page"
        android:src="@drawable/ic_btn_forward"
        android:layout_marginRight="20dip"
        android:layout_width="110dip"
        android:layout_height="65dip" />
</LinearLayout>
</LinearLayout>

<LinearLayout android:id="@+id/scanning_stoplayout"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:visibility="gone"
        android:gravity="center">

<Button android:id="@+id/btn_scanning_stop"
        android:clickable="true"
        android:text="@string/stop_scanning"
        android:textAppearance="?android:attr/textAppearanceMedium"
        android:textSize="32sp"
        android:singleLine="true"
        android:padding="20dip"
        android:layout_width="fill_parent"
        android:layout_height="wrap_content" />
</LinearLayout>

</merge>
